Subject: Re: bug#64809: 29.1; Initial frame is wrong size when dimensions specified in init file

From: Po Lu <[email-masked]>
Date: Tue, 25 Jul 2023 10:08:25 +0800

Jim Porter <[email-masked]> writes:

> In my case, it seems that the only thing that's changed inside
> 'apply_xfg_settings' is the hint style. If I comment out the hint
> style block, everything works correctly.
>
> However, that did lead me to debug further, and I think the issue
> really lies elsewhere; the commit I mentioned (likely) just uncovered
> a latent bug. Starting from "emacs -Q", I eval the following (after
> the frame is all set up, of course):
>
>   (set-face-attribute 'default (selected-frame) :height 70)
>   ;; The frame and default face both shrink as expected.
>   (reconsider-frame-fonts (selected-frame))
>   ;; The frame and default face now revert to their old sizes.
>
> Is this behavior correct? I'd expect that 'reconsider-frame-fonts'
> would take my setting from 'set-face-attribute' into consideration,
> but it seems to throw it out.

Ugh.  No, I didn't intend for `reconsider-frame-fonts' to behave in this
manner.  I can't help wondering why this wasn't caught until the release
candidate of all things.

ISTM that more attributes of the default face should also be preserved
whenever its definition is merged into a frame and used in
`default_font_parameter'.